> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Map a terminal UserID to an employee (replays parked

> Map a terminal UserID to an employee (replays parked punches)



## OpenAPI

````yaml /api-reference/openapi.json post /api/devices/terminal-users
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/devices/terminal-users:
    post:
      tags:
        - Devices
      summary: Map a terminal UserID to an employee (replays parked
      description: Map a terminal UserID to an employee (replays parked punches)
      operationId: postApiDevicesTerminalUsers
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                terminalUserId:
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
                employeeId:
                  type: string
                  format: uuid
                  pattern: >-
                    ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
              required:
                - terminalUserId
                - employeeId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  resolved:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  employeeName:
                    type: string
                  employeeCode:
                    type: string
                required:
                  - resolved
                  - employeeName
                  - employeeCode
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````